# norootforbuild

%{!?python_sitelib:  %global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           python-pyparsing
Version:        1.5.3
Release:        1.2
Summary:        Grammar Parser Library for Python
# http://prdownloads.sourceforge.net/pyparsing/pyparsing-%{version}.zip
Source:         pyparsing-%{version}.tar.bz2
URL:            http://pyparsing.wikispaces.com/
Group:          Development/Libraries/Python
License:        GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  python python-devel
%if 0%{?suse_version} >= 1120
BuildArch:		 noarch
%endif
%py_requires

%description
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

%package doc
Summary:        Grammar Parser Library for Python - Documentation
Group:          Development/Libraries/Python
Requires:		 %{name} = %{version}

%description doc
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

This package contains the documentation of %{name}, under the directory
  %{_docdir}/%{name}/

%prep
%setup -q -n "pyparsing-%{version}"
%__sed -i 's/\r$//' CHANGES LICENSE
find docs/ -type f -a \
	 ! \( -iname '*.png' -o -iname '*.jpg' -o -iname '*.gif' \) \
	 -exec %__sed -i 's/\r$//' {} \;

%build
%__python ./setup.py build

%install
%__python ./setup.py install \
    --prefix="%{_prefix}" \
    --root="%{buildroot}" \
    --record-rpm=files.lst

%__install -d "%{buildroot}%{_docdir}/%{name}"
for f in CHANGES LICENSE README; do
	 %__install -m0644 "$f" "%{buildroot}%{_docdir}/%{name}/"
	 echo "%doc %{_docdir}/%{name}/$f" >> files.lst
done

echo -n >docfiles.lst
for f in docs/*; do
	 ff=$(basename "$f")
	 %__cp -a "$f" "%{buildroot}%{_docdir}/%{name}/$ff"
	 echo "%doc %{_docdir}/%{name}/$ff" >>docfiles.lst
done

%clean
%__rm -rf "%{buildroot}"

%files -f files.lst
%defattr(-,root,root)
%dir %doc %{_docdir}/%{name}

%files doc -f docfiles.lst
%defattr(-,root,root)
%dir %doc %{_docdir}/%{name}

%changelog
* Wed Jul  7 2010 pascal.bleser@opensuse.org
- initial package (1.5.3)
